Eclipse PDE Release 3.7

## org.eclipse.pde.ui.launcher
Class JUnitWorkbenchLaunchShortcut

    java.lang.Object
      org.eclipse.jdt.junit.launcher.JUnitLaunchShortcut
          org.eclipse.pde.ui.launcher.JUnitWorkbenchLaunchShortcut

All Implemented Interfaces:
  ILaunchShortcut, ILaunchShortcut2

    public class JUnitWorkbenchLaunchShortcut

extends JUnitLaunchShortcut

A launch shortcut capable of launching a Plug-in JUnit test.

This class may be instantiated or subclassed by clients.

Since:
  3.3

Constructor Summary
`JUnitWorkbenchLaunchShortcut()`

Method Summary
`protected ILaunchConfigurationWorkingCopy` `createLaunchConfiguration(IJavaElement element)`
`protected String` `getLaunchConfigurationTypeId()`

Methods inherited from class org.eclipse.jdt.junit.launcher.JUnitLaunchShortcut
`getAttributeNamesToCompare, getLaunchableResource, getLaunchableResource, getLaunchConfigurations, getLaunchConfigurations, launch, launch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUnitWorkbenchLaunchShortcut

    public JUnitWorkbenchLaunchShortcut()

Method Detail

### getLaunchConfigurationTypeId

    protected String getLaunchConfigurationTypeId()

  Overrides:
    `getLaunchConfigurationTypeId` in class `JUnitLaunchShortcut`

### createLaunchConfiguration

    protected ILaunchConfigurationWorkingCopy createLaunchConfiguration(IJavaElement element)
                                                                 throws CoreException

  Overrides:
    `createLaunchConfiguration` in class `JUnitLaunchShortcut`
  Throws:
    `CoreException`

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.